Subject: Re: [PATCH 0/5] git-gui: workaround deprecation of Tcl/TK 8.5 in macOS

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Jul 2025 13:06:11 -0700

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> This series, add improvements to allow running `git-gui` in macOS, which is
> stuck in an ancient version of Tcl/TK that is no longer supported by git.

A naïve question.

Just like Git is a third-party software from macOS's point of view,
wouldn't Tcl/Tk be equally a third-party software, or is it more
ingrained to the base operation system offering for some reason?

The reason why I ask this question is because I do not see how it
would make it a lot more hassle having to upgrade the version of
tcl/tk on their macOS machine than having to upgrade the Git to the
version that ships with this change, from an end-user's point of
view.